DevelopersAPI referenceNotesBlocks
Reorder a page's blocks
View as MarkdownAuthorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/pages/497f6eca-6276-4993-bfeb-53cbbbba6f08/blocks/reorder" \ -H "Content-Type: application/json" \ -d '{ "orderedIds": [ "19a9d2d9-a035-4d53-aa3c-1c79b791a37f" ] }'{ "blocks": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809", "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43", "type": "string", "content": "string", "properties": {}, "position": 0, "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z" } ]}